> For the complete documentation index, see [llms.txt](https://docs.frends.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.frends.com/reference/frends-6.1.0/frends-platform-api/platform-api-reference/apiaccessmanagement.md).

# ApiAccessManagement

## GET /api/v1/api-management/access/api-keys

> List API keys

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"DtoApiKeyGetResponse":{"required":["Data"],"type":"object","properties":{"data":{"$ref":"#/components/schemas/DtoApiKeyGet"}},"additionalProperties":false},"DtoApiKeyGet":{"required":["Environment","Id","Modified","Modifier","Value"],"type":"object","properties":{"name":{"type":"string","description":"Name of the API key","nullable":true},"id":{"type":"integer","description":"Unique identifier for the API key","format":"int64"},"value":{"type":"string","description":"Value of the API key","format":"uuid"},"modified":{"type":"string","description":"The date and time when the API key was last modified","format":"date-time"},"modifier":{"type":"string","description":"The user who last modified the API key","nullable":true},"environment":{"$ref":"#/components/schemas/DtoEnvironmentBase"}},"additionalProperties":false},"DtoEnvironmentBase":{"required":["DisplayName","Id"],"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier for the Environment","format":"int64","readOnly":true},"displayName":{"type":"string","description":"Display name for the Environment","readOnly":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/api-management/access/api-keys":{"get":{"tags":["ApiAccessManagement"],"summary":"List API keys","operationId":"GetApiKeys","parameters":[{"name":"PageNumber","in":"query","description":"Current page number. Default value is 1.","schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","description":"Maximum page size is 200. Default page size is 30.","schema":{"type":"integer","format":"int32"}},{"name":"environmentId","in":"query","description":"Optional environment id to filter by","schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtoApiKeyGetResponse"}}}},"404":{"description":"Environment not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## POST /api/v1/api-management/access/api-keys

> Create API key

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"DtoApiKeyCreate":{"required":["EnvironmentId"],"type":"object","properties":{"name":{"type":"string","description":"Name of the API key","nullable":true},"environmentId":{"type":"integer","description":"Identifier of the Environment of the API key","format":"int64"}},"additionalProperties":false},"DtoApiKeyGetResponse":{"required":["Data"],"type":"object","properties":{"data":{"$ref":"#/components/schemas/DtoApiKeyGet"}},"additionalProperties":false},"DtoApiKeyGet":{"required":["Environment","Id","Modified","Modifier","Value"],"type":"object","properties":{"name":{"type":"string","description":"Name of the API key","nullable":true},"id":{"type":"integer","description":"Unique identifier for the API key","format":"int64"},"value":{"type":"string","description":"Value of the API key","format":"uuid"},"modified":{"type":"string","description":"The date and time when the API key was last modified","format":"date-time"},"modifier":{"type":"string","description":"The user who last modified the API key","nullable":true},"environment":{"$ref":"#/components/schemas/DtoEnvironmentBase"}},"additionalProperties":false},"DtoEnvironmentBase":{"required":["DisplayName","Id"],"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier for the Environment","format":"int64","readOnly":true},"displayName":{"type":"string","description":"Display name for the Environment","readOnly":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/api-management/access/api-keys":{"post":{"tags":["ApiAccessManagement"],"summary":"Create API key","requestBody":{"description":"API key to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtoApiKeyCreate"}}}},"responses":{"201":{"description":"API key created","headers":{"Location":{"description":"Location of the created API key","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtoApiKeyGetResponse"}}}},"400":{"description":"Bad Request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## GET /api/v1/api-management/access/api-keys/{id}

> Get a single API key

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"DtoApiKeyGetResponse":{"required":["Data"],"type":"object","properties":{"data":{"$ref":"#/components/schemas/DtoApiKeyGet"}},"additionalProperties":false},"DtoApiKeyGet":{"required":["Environment","Id","Modified","Modifier","Value"],"type":"object","properties":{"name":{"type":"string","description":"Name of the API key","nullable":true},"id":{"type":"integer","description":"Unique identifier for the API key","format":"int64"},"value":{"type":"string","description":"Value of the API key","format":"uuid"},"modified":{"type":"string","description":"The date and time when the API key was last modified","format":"date-time"},"modifier":{"type":"string","description":"The user who last modified the API key","nullable":true},"environment":{"$ref":"#/components/schemas/DtoEnvironmentBase"}},"additionalProperties":false},"DtoEnvironmentBase":{"required":["DisplayName","Id"],"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier for the Environment","format":"int64","readOnly":true},"displayName":{"type":"string","description":"Display name for the Environment","readOnly":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/api-management/access/api-keys/{id}":{"get":{"tags":["ApiAccessManagement"],"summary":"Get a single API key","operationId":"SingleApiKey","parameters":[{"name":"id","in":"path","description":"API key identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtoApiKeyGetResponse"}}}},"404":{"description":"API key not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## PUT /api/v1/api-management/access/api-keys/{id}

> Update API key

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"DtoApiKeyUpdate":{"required":["Name"],"type":"object","properties":{"name":{"type":"string","description":"Name of the API key","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/api-management/access/api-keys/{id}":{"put":{"tags":["ApiAccessManagement"],"summary":"Update API key","parameters":[{"name":"id","in":"path","description":"API key identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"Updated API key information","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtoApiKeyUpdate"}}}},"responses":{"204":{"description":"API key updated"},"404":{"description":"API key not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## DELETE /api/v1/api-management/access/api-keys/{id}

> Delete API key

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/api-management/access/api-keys/{id}":{"delete":{"tags":["ApiAccessManagement"],"summary":"Delete API key","operationId":"DeleteApiKey","parameters":[{"name":"id","in":"path","description":"API key identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"API key deleted"},"404":{"description":"API key not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## GET /api/v1/api-management/access/api-keys/name/{name}

> Get a single API key by name

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"DtoApiKeyGetResponse":{"required":["Data"],"type":"object","properties":{"data":{"$ref":"#/components/schemas/DtoApiKeyGet"}},"additionalProperties":false},"DtoApiKeyGet":{"required":["Environment","Id","Modified","Modifier","Value"],"type":"object","properties":{"name":{"type":"string","description":"Name of the API key","nullable":true},"id":{"type":"integer","description":"Unique identifier for the API key","format":"int64"},"value":{"type":"string","description":"Value of the API key","format":"uuid"},"modified":{"type":"string","description":"The date and time when the API key was last modified","format":"date-time"},"modifier":{"type":"string","description":"The user who last modified the API key","nullable":true},"environment":{"$ref":"#/components/schemas/DtoEnvironmentBase"}},"additionalProperties":false},"DtoEnvironmentBase":{"required":["DisplayName","Id"],"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier for the Environment","format":"int64","readOnly":true},"displayName":{"type":"string","description":"Display name for the Environment","readOnly":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/api-management/access/api-keys/name/{name}":{"get":{"tags":["ApiAccessManagement"],"summary":"Get a single API key by name","operationId":"SingleApiKeyByName","parameters":[{"name":"name","in":"path","description":"API key name (case-insensitive)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtoApiKeyGetResponse"}}}},"404":{"description":"API key not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.frends.com/reference/frends-6.1.0/frends-platform-api/platform-api-reference/apiaccessmanagement.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
